Name:           autoarchive
Version:        1.0.1
Release:        1%{?dist}
Summary:        A simple backup tool that uses tar

License:        GPLv3
URL:            http://autoarchive.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:         %{name}-0.5.2-coding.patch
BuildArch:      noarch

BuildRequires:  python3-devel

Requires:       lzma%{?_isa}
Requires:       tar%{?_isa}
Requires:       gzip%{?_isa}
Requires:       bzip2%{?_isa}
Requires:       xz%{?_isa}

%description
AutoArchive is a simple utility for making backups more easily. It
uses tar for creating archives. The idea of the program is that every 
information needed for making a backup is in one file - the archive 
spec file. Path to this file is passed as a parameter to 'aa' command 
which reads information from it and creates desired backup.

%prep
%setup -q
%patch0 -p1

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}

%files
%doc COPYING NEWS README README.sk
%config(noreplace) %{_sysconfdir}/aa/
%{_mandir}/man?/*.*
%{_bindir}/autoarchive
%{_bindir}/aa
%{python3_sitelib}/AutoArchive/
%{python3_sitelib}/%{name}*.egg-info

%changelog
* Sat Mar 02 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.1-1
- Updated to latest upstrema version 1.0.1

* Tue Feb 19 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.0-3
- Bogus date entry fixed

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Aug 07 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.0-1
- Updated to new upstream version 1.0.0

* Sat Aug 04 2012 David Malcolm <dmalcolm@redhat.com> - 0.5.2-4
- rebuild for https://fedoraproject.org/wiki/Features/Python_3.3

* Wed Aug 01 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.5.2-3
- Avoid UTF-8 in setup.cfg, distutils doesn't seem to like it.
- Drop example config from docs, it's now installed in %%{_sysconfdir}/aa.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 19 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.2-1
- Updated to new upstream version 0.5.2

* Tue Feb 28 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.1-1
- Updated to new upstream version 0.5.1

* Fri Feb 24 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.0-2
- Updated to new upstream version 0.5.0

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Apr 03 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.1-1
- Updated to new upstream version 0.3.1

* Mon Mar 28 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.0-2
- This package requires Python 3

* Sun Mar 27 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.0-1
- Updated to new upstream version 0.3.0

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Mar 20 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.0-1
- Changed man page compression format
- Added xz as a BR
- Updated to new upstreaqm version 0.2.0

* Sun Jul 26 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.2-2
- Modified BR and requirements
- Switched from define to global
- Cleaned up macros and removed ./ 
- Readded COPYING

* Wed Apr 15 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.2-1
- Upstream renamed some parts from aa to autoarchive (symlinks)
- Added examples
- Updated to new upstream version 0.1.2

* Sun Mar 22 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.1-2
- Fixed issues from #473835

* Sun Nov 30 2008 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.1-1
- Initial package for Fedora
